:root{
    --primary-color: #57CC99;
    --secondary-color: #22577A;
    
}

.txt-main{
    color: var(--primary-color);
}

.txt-secondary{
    color: var(--secondary-color);
}

.bg-main{
    background-color: var(--primary-color);
}

.bg-second{
    background-color: var(--secondary-color);
}

.hover-primary:hover{
    color: var(--primary-color) !important;
}
.hover-secondary:hover{
    color: var(--secondary-color) !important;
}


/* ========================HOMEPAGE======================== */
header{
    background: var(--primary-color);
    height: 100%;
}

.features{
    background: var(--primary-color);
    height: 100%;
}

.logo{
    max-height: 4.5em;
    width: auto;
}

.menu > a{
    font-size: 1.2rem;
}

.menu > .home-daftar{
    border: 2px white solid;
    border-radius: 15px;
}

.menu > .home-daftar:hover{
    background-color: var(--secondary-color);
}

.home-thumbnail{
    border-radius: 20px;
}

.register{
    border-radius: 15px;
    border: white;
    background-color:  var(--primary-color);
}
.register:hover{
    background-color: var(--secondary-color);
}

.features img{
    max-width: 12em !important;
}

/* ======================LOGIN PAGE======================== */

.login{
    width: 100vw;
    height: 100vh;
    background-color: var(--primary-color);
}

.login-form{
    background-color: white;
    border-radius: 20px;
    max-width: 30em;
    width: auto;
}
.login-form > img{
    max-width: 20em;
}

.login-form input{
    border: 1px solid rgba(0, 0, 0, 0.5);
    border-radius: 15px;
    width: 100%;
    padding-left: 10px;
    padding-right: 10px;
}

.btn-login{
    background:  linear-gradient(90deg, #22577A 0%, #57CC99 100%);
    border: 0;
    width: 100%;
    border-radius: 15px;
}

/* ================= REGISTER PAGES ============== */
.daftar{
    width: 100vw;
    min-height: 100vh;
    background-color: var(--primary-color);
}

.daftar-form{
    background-color: white;
    border-radius: 20px;
    max-width: 30em;
    width: auto;
}
.daftar-form img{
    max-width: 8em;
}

.daftar-form input{
    border: 1px solid rgba(0, 0, 0, 0.5);
    border-radius: 15px;
    width: 100%;
    padding-left: 10px;
    padding-right: 10px;
}

/* ================== DASHBOARD CHAT ================ */
.dashboard{
    background-color: var(--primary-color);
    height: 100vh;
    width: 100vw;
}

.main{
    width: auto;
    background-color: white;
}

.ava{
    width: auto;
    height: 5em;
}

.logout-btn{
    border-radius: 15px;
    border: white 2px solid;
    background-color:  var(--primary-color);
}
.logout-btn:hover{
    background-color: var(--secondary-color);
}

.btn-no-style{
    background-color: transparent;
    border: none;
}
.btn-no-style:hover, .btn-no-style:active, .btn-no-style:focus{
    background-color: transparent;
    border: none;
}

/* ================== 404 Not Found ================= */
.not-found{
    background: linear-gradient(180deg, #57CC99 0%, #22577A 100%);
    width: 100vw;
    height: 100vh;
}

.btn-home{
    text-decoration: none;

}